<template>
  <div class="cont">
    <el-card class="u-post-card">
      <h5 class="c-title">编辑资料</h5>
      <div class="card-cont">
        <el-form :model="form" label-width="120px" class="up-form">
          <el-form-item label="上传头像">
            <!-- <upAvater /> -->
            <input type="file">
          </el-form-item>
          <el-form-item label="昵称">
            <el-input v-model="form.name" maxlength="6" show-word-limit />
          </el-form-item>
          <el-form-item label="性别">
            <el-radio-group v-model="form.resource">
              <el-radio label="男" />
              <el-radio label="女" />
            </el-radio-group>
          </el-form-item>
          <el-form-item label="地区">

          <el-select v-model="form.pid" class="m-2" placeholder="请选择省份">
              <el-option
                v-for="item in ProList"
                :key="item.pid"
                :label="item.Provincial"
                :value="item.pid-1"
              />
            </el-select><br/>
            <el-select v-model="form.cid" class="m-2" placeholder="请选择地区">
              <el-option
                v-for="items in ProList[Number(form.pid)].cityList"
                :key="items.cid"
                :label="items.city"
                :value="items.cid"
              />
            </el-select>
          </el-form-item>
          <el-form-item label="个性签名">
            <el-input v-model="form.desc" type="textarea" rows="3" maxlength="60" show-word-limit />
          </el-form-item>
          <el-form-item style="width: 100%;text-align: center;">
            <el-button type="primary" @click="onSubmit">保存</el-button>
          </el-form-item>
        </el-form>
      </div>
    </el-card>
  </div>
</template>
  
<script lang="ts" setup>
import { onMounted, reactive,ref } from 'vue'
import qs from 'qs';
import axios from 'axios';
// import upAvater from './../../components/user/upAvater.vue'
onMounted(() => {
  getPro();
})
const form = reactive({
  name: '',
  resource: '',
  desc: '',
  pid:null,
  cid:''
})

const onSubmit = () => {
  console.log('submit!')
  
}
const lunBoList = [
  'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b61.jpg',
  'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b62.jpg',
  'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b63.jpg'
];
const ProList = ref([{
  pid:1,
  Provincial:'',
  cityList:[
    {
      cid:1,
      city:'',
      pid:1
    }
  ]
}])
const getPro = () => {
  axios.get('/api/schoolCloud/pages/myCenter/upDatum/selCity.php')
    .then(res => {
      ProList.value = res.data;
      console.log('789');
      
      console.log(res.data);
      
      // 根据返回的响应数据进行相应的操作
    }).catch(err => {
      console.log(err)
    })
}
</script>
<style lang="less">
.cont {

  // padding: 10px;
  .u-post-card {
    .c-title {
      font-size: 20px;
      // font-weight: 700;
      padding-bottom: 10px;
      border-bottom: 1px rgb(215, 215, 215) solid;
    }

    .card-cont {
      padding: 10px;

      .up-form {
        .el-button {
          height: 40px;
          width: 200px;
        }
      }

    }
  }
}</style>